package com.signal.sig.comm;

public class SigCommThread {

    public static void start() throws Exception {
		
		SigCommClient nssb = new SigCommClient("SigCommThread");
        Thread t = new Thread(nssb);

		t.setUncaughtExceptionHandler (
				new Thread.UncaughtExceptionHandler() {
					@Override
					public void uncaughtException(Thread th, Throwable ex) {
						//쓰레드에서 던진 예외는 이곳으로 오게됨.
						System.out.println("Uncaught exception: " + ex);
					}
				}
		);
		t.start();
		System.out.println("Thread Name : " + t.getName());
    }
}
